be.ehealth.technicalconnector.handler.wss4j

## Class ECAlgorithmHelper

- java.lang.Object
- - be.ehealth.technicalconnector.handler.wss4j.ECAlgorithmHelper

- All Implemented Interfaces:
    AlgorithmHelper

      public class ECAlgorithmHelper
      extends Object
      implements AlgorithmHelper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_DEFAULT_DIGEST_ALGO`
    `static String` | `PROP_DEFAULT_SIGNATURE_ALGO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECAlgorithmHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHandle(Credential cred)`
    `String` | `determineDigestAlgo(Credential cred)`
    `String` | `determineSignatureAlgorithm(Credential cred)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_DEFAULT_DIGEST_ALGO

          public static final String PROP_DEFAULT_DIGEST_ALGO

      See Also:
        Constant Field Values

    - #### PROP_DEFAULT_SIGNATURE_ALGO

          public static final String PROP_DEFAULT_SIGNATURE_ALGO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ECAlgorithmHelper

          public ECAlgorithmHelper()

  - ### Method Detail

    - #### canHandle

          public boolean canHandle(Credential cred)

      Specified by:
        `canHandle` in interface `AlgorithmHelper`

    - #### determineDigestAlgo

          public String determineDigestAlgo(Credential cred)

      Specified by:
        `determineDigestAlgo` in interface `AlgorithmHelper`

    - #### determineSignatureAlgorithm

          public String determineSignatureAlgorithm(Credential cred)

      Specified by:
        `determineSignatureAlgorithm` in interface `AlgorithmHelper`

Connector Packaging PERSPRACTICALNURSE 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.